/*
 * Class SPECIAL [INTEGER_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_466 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_466 [] = {0xFF01,237,465,188,0xFFFF};
static const EIF_TYPE_INDEX egt_2_466 [] = {0xFF01,465,188,0xFFFF};
static const EIF_TYPE_INDEX egt_3_466 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_466 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_466 [] = {0xFF01,465,188,0xFFFF};
static const EIF_TYPE_INDEX egt_6_466 [] = {0xFF01,465,188,0xFFFF};
static const EIF_TYPE_INDEX egt_7_466 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_466 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_466 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_466 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_466 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_466 [] = {465,188,0xFFFF};
static const EIF_TYPE_INDEX egt_13_466 [] = {0xFF01,465,188,0xFFFF};
static const EIF_TYPE_INDEX egt_14_466 [] = {0xFF01,466,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_466 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_466 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_466 [] = {0xFF01,470,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_466 [] = {0xFF01,471,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_466 [] = {0xFF01,465,188,0xFFFF};
static const EIF_TYPE_INDEX egt_20_466 [] = {0xFF01,465,188,0xFFFF};
static const EIF_TYPE_INDEX egt_21_466 [] = {0xFF01,465,188,0xFFFF};
static const EIF_TYPE_INDEX egt_22_466 [] = {0xFF01,465,188,0xFFFF};
static const EIF_TYPE_INDEX egt_23_466 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_466 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_25_466 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_466[] = {
	{EIF_GENERIC(NULL), 3682, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_466), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_466), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_466), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_466), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_466), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_466), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_466), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_466), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_466), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_466), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_466), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_466), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_466), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_466), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_466), 3373, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_466), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3683, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3684, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3685, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_466), 3687, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3688, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 3689, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 3690, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_466), 3691, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_466), 3692, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3694, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3695, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3698, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3699, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3701, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3702, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3703, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3704, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3705, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3706, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3707, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3708, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3709, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3710, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3711, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3712, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3713, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3714, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3715, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_466), 3716, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_466), 3717, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_466), 3718, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_466), 3719, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3720, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3721, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3722, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3723, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3724, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3725, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3726, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3727, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3728, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3730, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3731, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_466), 3686, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_466), 3693, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3700, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3696, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3697, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3700, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_466), 3729, 0xFFFFFFFF},
};
void Init466(void)
{
	IDSC(desc_466, 0, 465);
	IDSC(desc_466 + 1, 1, 465);
	IDSC(desc_466 + 32, 99, 465);
	IDSC(desc_466 + 34, 2, 465);
	IDSC(desc_466 + 77, 256, 465);
	IDSC(desc_466 + 80, 240, 465);
	IDSC(desc_466 + 83, 336, 465);
}


#ifdef __cplusplus
}
#endif
